package com.JN.demo.zmquotation.service.impl;

import com.JN.demo.zmquotation.dto.MaterialDto;
import com.JN.demo.zmquotation.mapper.MaterialMapper;
import com.JN.demo.zmquotation.service.MaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName MaterialServiceImpl
 * @Description TODO
 * @Author JIAL
 * @Date 2024/2/21 8:15
 * @Version 1.0
 */
@Service
public class MaterialServiceImpl implements MaterialService {
    @Autowired
    MaterialMapper materialMapper;

    /**
     * @title queryMaterialListByParam
     * @description 通过开头精确、模糊查询、型号三个参数来查询物料列表
     * @author JIAL
     * @param: precMaterialName
     * @param: vagueMaterialName
     * @param: vagueModel
     * @updateTime 2024/2/21 8:23
     * @return: java.util.List<com.JN.demo.zmquotation.dto.MaterialDto>
     */
    @Override
    public List<MaterialDto> queryMaterialListByParam(String precMaterialName, String vagueMaterialName, String vagueModel) {
        return materialMapper.queryMaterialListByParam(precMaterialName, vagueMaterialName, vagueModel);
    }
}
